LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XQuerySelectResult Interface Reference

represents the result of a SPARQL "SELECT" query. More...

`import"XQuerySelectResult.idl";`

Inheritance diagram for XQuerySelectResult:

## Public Member Functions
sequence< string > | getBindingNames ()
| get the names of the query variables. More...
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents the result of a SPARQL "SELECT" query.

The result consists of:

1. a list of query variable names (column labels)
2. an iterator of query results (rows), each being a list of bindings for the above variables

Note that each query result retrieved via com::sun::star::container::XEnumeration::nextElement() has the type XNode[], the length of the sequence being the same as the number of query variables.

Since
  OOo 3.0

See also
  XRepository::querySelect
  XNode

## Member Function Documentation

## ◆ getBindingNames()

sequence< string > getBindingNames | ( |  | ) |

get the names of the query variables.

The documentation for this interface was generated from the following file:

- com/sun/star/rdf/XQuerySelectResult.idl